MediaWiki:Common.css: различия между версиями

мНет описания правки
Нет описания правки
Строка 3739: Строка 3739:
.mw-ge-help-panel-processdialog .suggested-edits-panel-switch-editor-panel,
.mw-ge-help-panel-processdialog .suggested-edits-panel-switch-editor-panel,
.oo-ui-toggleSwitchWidget.oo-ui-widget-enabled .oo-ui-toggleSwitchWidget-grip,
.oo-ui-toggleSwitchWidget.oo-ui-widget-enabled .oo-ui-toggleSwitchWidget-grip,
.mw-body-content .recent-questions-growthexperiments-mentor-questions, .overlay-content .recent-questions-growthexperiments-mentor-questions, .content .recent-questions-growthexperiments-mentor-questions {
.mw-body-content .recent-questions-growthexperiments-mentor-questions, .overlay-content .recent-questions-growthexperiments-mentor-questions, .content .recent-questions-growthexperiments-mentor-questions,
.mwe-vue-pt-article-row-even,
.cdx-toggle-button--framed:enabled {
background: var(--ooui-bg-color);
background: var(--ooui-bg-color);
}
}
Строка 3774: Строка 3776:
.oo-ui-tagItemWidget.oo-ui-widget-disabled,
.oo-ui-tagItemWidget.oo-ui-widget-disabled,
.cdx-input-chip,
.cdx-input-chip,
.ve-init-mw-progressBarWidget {
.ve-init-mw-progressBarWidget,
.mwe-vue-pt-showing-filter-chip {
background: var(--ooui-bg-color-dark);
background: var(--ooui-bg-color-dark);
}
}


.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox'] + span,
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox'] + span,
.cdx-checkbox__icon {
.cdx-checkbox__icon,
.cdx-radio__icon {
background-color: var(--ooui-bg-color-dark);
background-color: var(--ooui-bg-color-dark);
}
}
Строка 3804: Строка 3808:
.oo-ui-menuLayout.oo-ui-menuLayout-showMenu.oo-ui-menuLayout-before > .oo-ui-menuLayout-content,
.oo-ui-menuLayout.oo-ui-menuLayout-showMenu.oo-ui-menuLayout-before > .oo-ui-menuLayout-content,
.oo-ui-windowManager-modal > .oo-ui-dialog.oo-ui-window-setup > .oo-ui-window-frame,
.oo-ui-windowManager-modal > .oo-ui-dialog.oo-ui-window-setup > .oo-ui-window-frame,
.oo-ui-toggleSwitchWidget {
.oo-ui-toggleSwitchWidget,
#mwe-vue-pt-control-dropdown {
background-color: var(--ooui-bg-color-darkened);
background-color: var(--ooui-bg-color-darkened);
}
}
Строка 3826: Строка 3831:
.cdx-input-chip:not(.cdx-input-chip--disabled):hover,
.cdx-input-chip:not(.cdx-input-chip--disabled):hover,
.cdx-button:enabled:hover, .cdx-button.cdx-button--fake-button--enabled:hover,
.cdx-button:enabled:hover, .cdx-button.cdx-button--fake-button--enabled:hover,
.wikiEditor-ui-toolbar .page-characters div span:hover {
.wikiEditor-ui-toolbar .page-characters div span:hover,
.mwe-vue-pt-control-gradient,
.cdx-toggle-button--framed:enabled:hover,
.mwe-vue-pt-navigation-bar,
#mwe-vue-pt-stats-navigation {
background: var(--ooui-bg-color-light);
background: var(--ooui-bg-color-light);
}
}
Строка 3878: Строка 3887:
}
}


ul.fileupload-results li.ful-success {
ul.fileupload-results li.ful-success,
#mwe-vue-pt-stats-navigation {
background: var(--bg-color-message);
background: var(--bg-color-message);
}
}
Строка 3945: Строка 3955:
div.mw-warning-with-logexcerpt, div.mw-lag-warn-high, div.mw-cascadeprotectedwarning, div#mw-protect-cascadeon, div.titleblacklist-warning,
div.mw-warning-with-logexcerpt, div.mw-lag-warn-high, div.mw-cascadeprotectedwarning, div#mw-protect-cascadeon, div.titleblacklist-warning,
.mw-ui-button.mw-ui-destructive:not(:disabled),
.mw-ui-button.mw-ui-destructive:not(:disabled),
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip mark.negative {
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip mark.negative,
.mwe-vue-pt-problem-chip,
.cdx-button:enabled.cdx-button--weight-quiet.cdx-button--action-destructive:hover, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-quiet.cdx-button--action-destructive:hover {
background: var(--bg-color-error);
background: var(--bg-color-error);
}
}


.mw-ui-button.mw-ui-destructive:not(:disabled):hover {
.mw-ui-button.mw-ui-destructive:not(:disabled):hover,
.mwe-vue-pt-problem-chip {
background-color: var(--border-color-error);
background-color: var(--border-color-error);
}
}
Строка 4004: Строка 4017:
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip-example,
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip-example,
.mw-ge-help-panel-processdialog .suggested-edits-panel-switch-editor-panel,
.mw-ge-help-panel-processdialog .suggested-edits-panel-switch-editor-panel,
.oo-ui-toggleSwitchWidget.oo-ui-widget-enabled .oo-ui-toggleSwitchWidget-grip {
.oo-ui-toggleSwitchWidget.oo-ui-widget-enabled .oo-ui-toggleSwitchWidget-grip,
.mwe-vue-pt-article-row {
border-color: var(--ooui-border-color);
border-color: var(--ooui-border-color);
}
}
Строка 4082: Строка 4096:
.wikiEditor-ui-toolbar .page-characters div span,
.wikiEditor-ui-toolbar .page-characters div span,
.wikiEditor-ui-toolbar .page-characters div span:hover,
.wikiEditor-ui-toolbar .page-characters div span:hover,
.cdx-checkbox__input:enabled:checked+.cdx-checkbox__icon, .cdx-checkbox__input:enabled:indeterminate+.cdx-checkbox__icon {
.cdx-checkbox__input:enabled:checked+.cdx-checkbox__icon, .cdx-checkbox__input:enabled:indeterminate+.cdx-checkbox__icon,
.cdx-toggle-button--framed:enabled,
.cdx-info-chip,
#mwe-vue-pt-control-dropdown,
.cdx-radio__input:enabled+.cdx-radio__icon {
border-color: var(--ooui-border-color-light);
border-color: var(--ooui-border-color-light);
}
}
Строка 4121: Строка 4139:
.cdx-message--success,
.cdx-message--success,
.mw-twocolconflict-single-column.mw-twocolconflict-split-add, .mw-twocolconflict-split-column.mw-twocolconflict-split-add,
.mw-twocolconflict-single-column.mw-twocolconflict-split-add, .mw-twocolconflict-split-column.mw-twocolconflict-split-add,
.oo-ui-messageWidget.oo-ui-messageWidget-block.oo-ui-flaggedElement-success {
.oo-ui-messageWidget.oo-ui-messageWidget-block.oo-ui-flaggedElement-success,
#mwe-vue-pt-stats-navigation {
border-color: var(--border-color-message);
border-color: var(--border-color-message);
}
}
Строка 4238: Строка 4257:
.ext-growthExperiments-NumberInput__input:enabled:hover,
.ext-growthExperiments-NumberInput__input:enabled:hover,
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover,
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover,
.ve-init-mw-progressBarWidget {
.ve-init-mw-progressBarWidget,
.cdx-radio__input:enabled:checked+.cdx-radio__icon {
border-color: var(--color-contrast);
border-color: var(--color-contrast);
}
}
Строка 4268: Строка 4288:
.ve-ce-linkAnnotation.ve-ce-annotation-active,
.ve-ce-linkAnnotation.ve-ce-annotation-active,
.oo-ui-tool.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-tool-link,
.oo-ui-tool.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-tool-link,
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive {
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive,
.cdx-toggle-button-group .cdx-toggle-button--toggled-on:enabled {
background: var(--color-contrast-dark);
background: var(--color-contrast-dark);
}
}
Строка 4276: Строка 4297:
.oo-ui-buttonElement-framed.oo-ui-widget-enabled > .oo-ui-buttonElement-button:active, .oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-buttonElement-pressed > .oo-ui-buttonElement-button,
.oo-ui-buttonElement-framed.oo-ui-widget-enabled > .oo-ui-buttonElement-button:active, .oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-buttonElement-pressed > .oo-ui-buttonElement-button,
form:not(.oo-ui-layout) button, form:not(.oo-ui-layout) input[type='submit'],
form:not(.oo-ui-layout) button, form:not(.oo-ui-layout) input[type='submit'],
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive {
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive,
.cdx-toggle-button-group .cdx-toggle-button--toggled-on:enabled {
border-color: var(--color-contrast-dark);
border-color: var(--color-contrast-dark);
}
}
Строка 4320: Строка 4342:
.ace_optionsMenuEntry button[ace_selected_button=true] {
.ace_optionsMenuEntry button[ace_selected_button=true] {
box-shadow: var(--box-shadow-inset-high);
box-shadow: var(--box-shadow-inset-high);
}
.oo-ui-buttonSelectWidget.oo-ui-widget-enabled:focus .oo-ui-buttonOptionWidget.oo-ui-optionWidget-selected .oo-ui-buttonElement-button,
.cdx-toggle-button-group .cdx-toggle-button--toggled-on:enabled {
box-shadow: none;
}
}


Строка 4479: Строка 4506:
.cdx-input-chip,
.cdx-input-chip,
.cdx-button:enabled, .cdx-button.cdx-button--fake-button--enabled,
.cdx-button:enabled, .cdx-button.cdx-button--fake-button--enabled,
.cdx-button:enabled:hover, .cdx-button.cdx-button--fake-button--enabled:hover,
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip-example-text,
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip-example-text,
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip mark,
.mw-ge-help-panel-processdialog .suggested-edits-panel-quick-start-tips-content .growthexperiments-quickstart-tips-tip mark,
.wikiEditor-ui-toolbar .page-characters div span {
.wikiEditor-ui-toolbar .page-characters div span,
.cdx-toggle-button--framed:enabled,
.cdx-info-chip--text {
color: var(--ooui-text-color);
color: var(--ooui-text-color);
}
}
Строка 4540: Строка 4568:
.oo-ui-tool.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-tool-link,
.oo-ui-tool.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-tool-link,
.ve-ui-mwTransclusionOutlineTemplateWidget .ve-ui-mwTransclusionOutlineParameterWidget.oo-ui-optionWidget-highlighted,
.ve-ui-mwTransclusionOutlineTemplateWidget .ve-ui-mwTransclusionOutlineParameterWidget.oo-ui-optionWidget-highlighted,
.wikiEditor-ui-toolbar .page-characters div span:hover {
.wikiEditor-ui-toolbar .page-characters div span:hover,
.cdx-button:enabled:hover, .cdx-button.cdx-button--fake-button--enabled:hover,
.cdx-toggle-button--framed:enabled:hover,
.cdx-button:enabled.cdx-button--weight-quiet.cdx-button--action-destructive:hover, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-quiet.cdx-button--action-destructive:hover,
.cdx-toggle-button--framed.cdx-toggle-button--toggled-on:enabled {
color: var(--ooui-text-color-light);
color: var(--ooui-text-color-light);
}
}
Строка 4554: Строка 4586:
.ve-ui-mwTransclusionOutlineTemplateWidget .ve-ui-mwTransclusionOutlineParameterWidget.ve-ui-mwTransclusionOutlineParameterWidget-activePage, .ve-ui-mwTransclusionOutlineTemplateWidget .ve-ui-mwTransclusionOutlineParameterWidget.ve-ui-mwTransclusionOutlineParameterWidget-activePage.oo-ui-optionWidget-highlighted {
.ve-ui-mwTransclusionOutlineTemplateWidget .ve-ui-mwTransclusionOutlineParameterWidget.ve-ui-mwTransclusionOutlineParameterWidget-activePage, .ve-ui-mwTransclusionOutlineTemplateWidget .ve-ui-mwTransclusionOutlineParameterWidget.ve-ui-mwTransclusionOutlineParameterWidget-activePage.oo-ui-optionWidget-highlighted {
color: var(--color-progressive);
color: var(--color-progressive);
}
.cdx-button:enabled.cdx-button--weight-quiet.cdx-button--action-destructive, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-quiet.cdx-button--action-destructive {
color: var(--text-color-link-new);
}
}


Строка 4564: Строка 4600:
}
}


.oo-ui-tagItemWidget {
.oo-ui-tagItemWidget,
.cdx-info-chip {
border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
}
}
Строка 4658: Строка 4695:
}
}


.oo-ui-radioInputWidget.oo-ui-widget-enabled [type='radio']:checked + span {
.oo-ui-radioInputWidget.oo-ui-widget-enabled [type='radio']:checked + span,
.cdx-radio__input:enabled:checked+.cdx-radio__icon {
border-width: 2px;
border-width: 2px;
}
}
Строка 4855: Строка 4893:
.oo-ui-layout.oo-ui-fieldLayout.oo-ui-fieldLayout-align-top.oo-ui-actionFieldLayout {
.oo-ui-layout.oo-ui-fieldLayout.oo-ui-fieldLayout-align-top.oo-ui-actionFieldLayout {
margin: 0.5em 0;
margin: 0.5em 0;
}
.oo-ui-buttonSelectWidget.oo-ui-widget-enabled:focus .oo-ui-buttonOptionWidget.oo-ui-optionWidget-selected .oo-ui-buttonElement-button {
box-shadow: none;
}
}